/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "clFFT", "index.html", [
    [ "OpenCL Fast Fourier Transforms (FFTs)", "index.html", [
      [ "Introduction to clFFT", "index.html#IntroFFT", [
        [ "Supported radices", "index.html#SupportRadix", null ],
        [ "Transform size limits", "index.html#SizeLimit", null ],
        [ "Dimensionality", "index.html#EnumDim", null ],
        [ "Setup and Teardown of clFFT", "index.html#InitLibrary", null ],
        [ "Thread safety", "index.html#ThreadSafety", null ],
        [ "Row major formats", "index.html#MajorFormat", null ],
        [ "OpenCL object creation", "index.html#Object", null ],
        [ "Flushing of command queues", "index.html#FlushQueue", null ],
        [ "Environment variables", "index.html#EnvVariables", null ]
      ] ],
      [ "clFFT plans", "index.html#clFFTPlans", [
        [ "Default plan values", "index.html#Default", null ],
        [ "Supported memory layouts", "index.html#EnumLayout", [
          [ "Strides and Distances", "index.html#DistanceStridesandPitches", null ]
        ] ],
        [ "Supported precisions in clFFT", "index.html#EnumPrecision", null ],
        [ "clfftDirection", "index.html#FftDirection", null ],
        [ "In-place and out-of-place transforms", "index.html#EnumResultLocation", null ],
        [ "Batches", "index.html#clFFTEff", null ]
      ] ],
      [ "Using clFFT in a client application", "index.html#Outline", null ],
      [ "FFTs of real data", "index.html#RealFFT", [
        [ "Supported Modes", "index.html#RealModes", null ],
        [ "Setting strides", "index.html#ExplicitStrides", null ],
        [ "Examples", "index.html#RealExamples", null ]
      ] ],
      [ "clFFT Callbacks", "index.html#Callbacks", [
        [ "Callback Workflow", "index.html#CallbackWorkflow", null ],
        [ "Callback Function Prototypes", "index.html#CallbackFunctionPrototype", [
          [ "Pre-callback Prototypes", "index.html#PrecallbackProtyotype", null ],
          [ "Post-callback Prototypes", "index.html#PostcallbackProtyotype", null ]
        ] ],
        [ "Sample Callback Code", "index.html#SampleCallbackCode", null ],
        [ "Important Notes on Callback", "index.html#CallbackNotes", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';